/*
 * VRR FONTLIB internal header
 *
 * Copyright (c) 2004-2005,2007    The VRR Team <vrr@ucw.cz>
 * This program is distributed under GNU General Public License, see COPYING.
 */

#ifndef _FONT_INTERNAL_H_
#define _FONT_INTERNAL_H_

#include "font/font.h"

#include <ft2build.h>
#include FT_FREETYPE_H
#include FT_CACHE_H
#include FT_CACHE_IMAGE_H
#include FT_CACHE_CHARMAP_H
#include FT_SIZES_H
#include FT_TYPE1_TABLES_H
#include FT_TRUETYPE_IDS_H
#include FT_TRUETYPE_TABLES_H
#include FT_TRUETYPE_TAGS_H
#include FT_SFNT_NAMES_H
#include FT_OUTLINE_H


extern FT_Library font_lib;
extern FTC_Manager font_mgr;
extern FTC_ImageCache font_img_cache;
extern FTC_CMapCache font_cmap_cache;

#endif
