#ifndef _VCL_GRID_H_
#define _VCL_GRID_H_

/**@file
 *
 * VCL module header
 *
 * Copyright (c) 2004-2005    The VRR Team <vrr@ucw.cz>
 * This program is distributed under GNU General Public License, see COPYING.
 */


extern vcl_vtable *vcl_vt_grid;

struct vcl_grid
{
  struct vcl_object header;
  void * parent;
  int data;
};


static inline uns
vcl_grid_p (void *obj)
{ return (VCL_CLASS_P (obj, vcl_vt_grid)); }

extern struct vcl_grid *
vcl_grid_new (void);


#ifdef _VCL_INTERNAL_

extern void
vcl_grid_main (void);

#endif
#endif
