#ifndef _VCL_IF_ENCLOSURE_H_
#define _VCL_IF_ENCLOSURE_H_

/**@file
 *
 * VCL module header
 *
 * Copyright (c) 2004-2005    The VRR Team <vrr@ucw.cz>
 * This program is distributed under GNU General Public License, see COPYING.
 */



extern int vcl_if_enclosure;

extern int vcl_mid_enclosure_get_child;
extern int vcl_mid_enclosure_set_child;


static inline uns
vcl_if_enclosure_p (void *obj)
{ return (vcl_class_supports_interface_p (VCL_GET_CLASS (obj), vcl_if_enclosure)); }

static inline void *
vcl_enclosure_get_child (void * obj)
{ return (VCL_METHOD (void *, vcl_mid_enclosure_get_child)); }

static inline void *
vcl_enclosure_set_child (void * obj, void * child)
{ return (VCL_METHOD (void *, vcl_mid_enclosure_set_child, child)); }


#ifdef _VCL_INTERNAL_


extern void
vcl_if_enclosure_main (void);


#endif
#endif
