#ifndef _VCL_PTR_CAIRO_H_
#define _VCL_PTR_CAIRO_H_

/**@file
 *
 * VCL module header
 *
 * Copyright (c) 2004-2005    The VRR Team <vrr@ucw.cz>
 * This program is distributed under GNU General Public License, see COPYING.
 */


#include <cairo.h>

extern vcl_vtable *vcl_vt_painter_cairo;


struct vcl_painter_cairo
{
  struct vcl_object header;
  struct vcl_context *ct;

  uns buff_len;
  u8 * buff;

  int dx, dy;

  GtkWidget *w;
  cairo_t *cr;
  cairo_surface_t *sf;
};


static inline uns
vcl_painter_cairo_p (void *obj)
{ return (VCL_CLASS_P (obj, vcl_vt_painter_cairo)); }

extern struct vcl_painter_cairo *
vcl_painter_cairo_new (GtkWidget *wg);


#ifdef _VCL_INTERNAL_


extern void
vcl_painter_cairo_main (void);


#endif
#endif
