#ifndef _VCL_TEX_LAYOUT_H_
#define _VCL_TEX_LAYOUT_H_

/**@file
 *
 * VCL module header
 *
 * Copyright (c) 2004-2005    The VRR Team <vrr@ucw.cz>
 * This program is distributed under GNU General Public License, see COPYING.
 */



extern vcl_vtable *vcl_vt_tex_layout;


struct vcl_tex_layout
{
  struct vcl_object header;

  struct geom_rectangle bbox;
  struct tex_glyph *glyphs;
  uns glyphs_cnt;
  uns copy;

  void * parent;
  int data;
};


static inline uns
vcl_tex_layout_p (void *obj)
{ return (VCL_CLASS_P (obj, vcl_vt_tex_layout)); }

extern struct vcl_tex_layout *
vcl_tex_layout_new (uns copy, struct tex_glyph *glyphs, uns glyphs_cnt, const struct geom_rectangle *bbox);


#ifdef _VCL_INTERNAL_


extern void
vcl_tex_layout_main (void);


#endif
#endif
