#ifndef _VCL_IF_MASK_H_
#define _VCL_IF_MASK_H_

/**@file
 *
 * VCL module header
 *
 * Copyright (c) 2004-2005    The VRR Team <vrr@ucw.cz>
 * This program is distributed under GNU General Public License, see COPYING.
 */



extern int vcl_if_mask;

extern int vcl_mid_mask_render;


struct vcl_mask_part
{
  int points;
  int closed;
};


static inline uns
vcl_if_mask_p (void *obj)
{ return (vcl_class_supports_interface_p (VCL_GET_CLASS (obj), vcl_if_mask)); }


/*
  return edges (in pixel space) of mask 'obj' (using iterator 'it'), approximate
  up to factor delta, transformation to pixel space is 't', interesting rectangle (in pixel space)
  is 'bbox'.
*/

static inline void
vcl_mask_render (void * obj, const struct geom_transform *t,
		 const struct vcl_rectangle *bbox, const struct geom_rectangle *bbox_local,
		 u8** buff, uns * buff_len, struct vcl_rectangle *retbox)
{ VCL_METHOD (void, vcl_mid_mask_render, t, bbox, bbox_local, buff, buff_len, retbox); }

/*
extern struct vcl_rle_data *
vcl_mask_render_area (void *shape, real delta, struct geom_transform *t,
		       const struct geom_rectangle *bbox);
*/



#ifdef _VCL_INTERNAL_


extern void
vcl_if_mask_main (void);


#endif
#endif
