#ifndef _VCL_IF_PLACEMENT_H_
#define _VCL_IF_PLACEMENT_H_

/**@file
 *
 * VCL module header
 *
 * Copyright (c) 2004-2005    The VRR Team <vrr@ucw.cz>
 * This program is distributed under GNU General Public License, see COPYING.
 */



extern int vcl_if_placement;

extern int vcl_mid_placement_add_child_on_top;
extern int vcl_mid_placement_remove_child;


static inline uns
vcl_if_placement_p (void *obj)
{ return (vcl_class_supports_interface_p (VCL_GET_CLASS (obj), vcl_if_placement)); }

static inline void
vcl_placement_add_child_on_top (void * obj, void * child)
{ VCL_METHOD (void, vcl_mid_placement_add_child_on_top, child); }

static inline void
vcl_placement_remove_child (void * obj, void * child)
{ VCL_METHOD (void, vcl_mid_placement_remove_child, child); }


#ifdef _VCL_INTERNAL_


extern void
vcl_if_placement_main (void);


#endif
#endif
