#ifndef _VCL_RECT_H_
#define _VCL_RECT_H_

/**@file
 *
 * VCL module header
 *
 * Copyright (c) 2004-2005    The VRR Team <vrr@ucw.cz>
 * This program is distributed under GNU General Public License, see COPYING.
 */


extern vcl_vtable *vcl_vt_rect;
extern vcl_vtable *vcl_vt_rect_s;

struct vcl_rect
{
  struct vcl_object header;
  struct geom_rectangle r;

  void * parent;
  int data;
};


static inline uns
vcl_rect_p (void *obj)
{ return (VCL_CLASS_P (obj, vcl_vt_rect)); }

extern void
vcl_rect_init (struct vcl_rect *obj, struct geom_rectangle r);

extern struct vcl_rect *
vcl_rect_new (struct geom_rectangle r);

#ifdef _VCL_INTERNAL_


extern void
vcl_rect_main (void);


#endif
#endif
